import { Socket, Server } from "socket.io";
import {ISocket} from "../interfaces/socket";

export default function characterConnect(socket: ISocket, io: Server) {
    socket.on('character:connect', (data) => {
        socket.user.username = 'hello'
        console.log(`---User ${socket.id} has joined.`);
    });
}